Skip to main content
GET
List transactions and tx details included in a specific block

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

block_hash_or_number_param
required

Block hash or number in the path

Required range: x >= 0
chain_id
string
required

The ID of the blockchain

Query Parameters

type
enum<string>

Filter by transaction type. Comma-separated list of:

  • token_transfer - Token transfer transactions
  • contract_creation - Contract deployment transactions
  • contract_call - Contract method call transactions
  • coin_transfer - Native coin transfer transactions
  • token_creation - Token creation transactions
  • blob_transaction - Only show blob transactions (Ethereum only)
Available options:
coin_transfer,
contract_call,
contract_creation,
token_transfer,
token_creation
items_count
integer

Number of items per page

Required range: x >= 1
block_number
integer

Block number for paging

Required range: x >= 0
index
integer

Item index for paging

Response

Transactions in the specified block, with pagination.

items
Transaction · object[]
required
next_page_params
object | null
required
Example: